LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-15-2018, 09:05 AM   #1321
kgha
Member
 
Registered: May 2018
Location: Sweden
Distribution: AlienBob's LiveSlak MATE
Posts: 32

Rep: Reputation: 24

Quote:
Originally Posted by nivieru View Post
I had the same problem with perl-pango.
For me, removing all the locally built perl packages before rebuilding them solved the problem.
Of course, you then need to build them in the correct order - I just tried to build everything in no particular order and then tried again the ones that failed until it worked.
Thanks, I followed your advice and only built and installed the packages that are dependencies for perl-pango before trying that one and it worked. Afterwards I could build the remaining packages without any issues.

Willy Sudiarto actually suggested this in an earlier post but I missed that
 
Old 07-17-2018, 03:43 AM   #1322
linuxtinker
Member
 
Registered: Dec 2013
Location: NJ / USA
Distribution: Slackware 64 -Current
Posts: 201

Rep: Reputation: 92
I have an issue with making memcached ver 1.4.37 on current I get:

Code:
gcc -DHAVE_CONFIG_H -I.  -DNDEBUG   -m64 -O2 -fPIC -pthread -pthread -Wall -Werror -pedantic -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -MT memcached-util.o -MD -MP -MF .deps/memcached-util.Tpo -c -o memcached-util.o `test -f 'util.c' || echo './'`util.c
items.c: In function ‘item_stats_sizes’:
items.c:881:45: error: ‘%d’ directive output may be truncated writing between 1 and 10 bytes into a region of size 8 [-Werror=format-truncation=]
                 snprintf(key, sizeof(key), "%d", i * 32);
                                             ^~
items.c:881:44: note: directive argument in the range [0, 2147483647]
                 snprintf(key, sizeof(key), "%d", i * 32);
                                            ^~~~
items.c:881:17: note: ‘snprintf’ output between 2 and 11 bytes into a destination of size 8
                 snprintf(key, sizeof(key), "%d", i * 32);
                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
memcached.c: In function ‘process_stats_conns.constprop’:
memcached.c:3113:33: error: ‘%u’ directive writing between 1 and 5 bytes into a region of size between 1 and 4099 [-Werror=format-overflow=]
             sprintf(buf, "%s:%s:%u", protoname, addr_text, port);
                                 ^~
memcached.c:3113:26: note: directive argument in the range [1, 65535]
             sprintf(buf, "%s:%s:%u", protoname, addr_text, port);
                          ^~~~~~~~~~
memcached.c:3113:13: note: ‘sprintf’ output between 5 and 4107 bytes into a destination of size 4102
             sprintf(buf, "%s:%s:%u", protoname, addr_text, port);
             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I am able to make ver 1.5.9 which I will be using instead..

Last edited by linuxtinker; 07-17-2018 at 03:44 AM. Reason: typo
 
Old 07-17-2018, 03:54 AM   #1323
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,524

Original Poster
Rep: Reputation: Disabled
thanks for reporting!
for the moment I'll just disable those warnings-as-errors with "-Wno-error=format-overflow -Wno-error=format-truncation".
 
Old 07-18-2018, 07:35 AM   #1324
lord_
Member
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 39

Rep: Reputation: Disabled
Blender

I recently rebuilt my whole 3rd party software library (all from ponce's repo). Some of them won't rebuild:

Blender
https://pastebin.com/raw/9e2LdE2T

libgda
https://pastebin.com/raw/TYeP8gRJ

gimp-plugin-bimp
https://pastebin.com/raw/Bq8ebcMK

gst-plugins-bad
https://pastebin.com/raw/ZsWz810S

ipmitool
https://pastebin.com/raw/NuBWswH7

ldns
https://www.nlnetlabs.nl/downloads/l...s-1.7.0.tar.gz 404 error (just notifying)

libindicator3
https://pastebin.com/raw/3FmME40W

mosh
https://pastebin.com/raw/B138iaug

opensc
https://pastebin.com/raw/tqm9xtXu

qpdfview
https://pastebin.com/raw/pwic3afY
 
1 members found this post helpful.
Old 07-18-2018, 11:28 AM   #1325
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,524

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by lord_ View Post
I recently rebuilt my whole 3rd party software library (all from ponce's repo). Some of them won't rebuild:
thanks for reporting!

these are all fixed in the just-pushed latest version of the repository

this looks like something wrong in an header installed by texlive: I suggest you to get in touch with the texlive maintainer on SBo, linking him the paste with the error.

Quote:
gimp-plugin-bimp
https://pastebin.com/raw/Bq8ebcMK
for this you have to ask upstream: it seems the plugin cannot be built from its sources against gimp-2.10
https://github.com/alessandrofrances...mp-plugin-bimp

Quote:
ldns
https://www.nlnetlabs.nl/downloads/l...s-1.7.0.tar.gz 404 error (just notifying)
thanks, but notifying it here won't get it fixed ;-) report this please to the maintainer and/or the mailing list.
 
Old 07-18-2018, 01:10 PM   #1326
lord_
Member
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 39

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
thanks for reporting!
these are all fixed in the just-pushed latest version of the repository
I cloned your repo on 15/07, so I guess I already have the latest versions.
 
Old 07-18-2018, 01:30 PM   #1327
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,524

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by lord_ View Post
I cloned your repo on 15/07, so I guess I already have the latest versions.
no, you haven't: the latest version is of today.
 
Old 07-18-2018, 02:36 PM   #1328
lord_
Member
 
Registered: Apr 2018
Distribution: Slackware -current
Posts: 39

Rep: Reputation: Disabled
Quote:
Originally Posted by ponce View Post
no, you haven't: the latest version is of today.
Ok, I upgraded and yes, there are all the working fixes.

I'll contact ldns and qpdfview maintainers.

As always, thank you!
 
Old 07-18-2018, 02:39 PM   #1329
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,524

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by lord_ View Post
I'll contact ldns and qpdfview maintainers.
for succesfully building qpdfview you actually have to get in touch with the texlive maintainer on SBo: that package is the one that looks to have issues.
 
Old 07-20-2018, 06:30 PM   #1330
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 407

Rep: Reputation: 140Reputation: 140
Cannot build gst-plugins-bad. Oddly enough, it seems to require gnutls.la, which does not exist on my system. Relevant compilation output is below:

Code:
make -C webrtc
make[3]: Entering directory '/tmp/SBo/gst-plugins-bad-1.14.1/ext/webrtc'
  CC       libgstwebrtc_la-gstwebrtc.lo
  CC       libgstwebrtc_la-gstwebrtcbin.lo
  CC       libgstwebrtc_la-gstwebrtcice.lo
  CC       libgstwebrtc_la-gstwebrtcstats.lo
  CC       libgstwebrtc_la-icestream.lo
  CC       libgstwebrtc_la-nicetransport.lo
  CC       libgstwebrtc_la-transportstream.lo
  CC       libgstwebrtc_la-transportsendbin.lo
  CC       libgstwebrtc_la-transportreceivebin.lo
  CC       libgstwebrtc_la-utils.lo
  CC       libgstwebrtc_la-webrtcsdp.lo
  CC       libgstwebrtc_la-webrtctransceiver.lo
  CCLD     libgstwebrtc.la
/bin/grep: /usr/lib64/libgnutls.la: No such file or directory
/bin/sed: can't read /usr/lib64/libgnutls.la: No such file or directory
libtool:   error: '/usr/lib64/libgnutls.la' is not a valid libtool archive
make[3]: *** [Makefile:871: libgstwebrtc.la] Error 1
make[3]: Leaving directory '/tmp/SBo/gst-plugins-bad-1.14.1/ext/webrtc'
make[2]: *** [Makefile:1315: webrtc] Error 2
make[2]: Leaving directory '/tmp/SBo/gst-plugins-bad-1.14.1/ext'
make[1]: *** [Makefile:951: all-recursive] Error 1
make[1]: Leaving directory '/tmp/SBo/gst-plugins-bad-1.14.1'
make: *** [Makefile:882: all] Error 2
 
Old 07-20-2018, 07:44 PM   #1331
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 3,877

Rep: Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134
you may need to rebuilt everything that still linked to old gnutls.la
 
1 members found this post helpful.
Old 07-20-2018, 08:02 PM   #1332
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 407

Rep: Reputation: 140Reputation: 140
Quote:
Originally Posted by willysr View Post
you may need to rebuilt everything that still linked to old gnutls.la
thank you Willy, but how could I know that?
 
Old 07-20-2018, 11:18 PM   #1333
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 3,877

Rep: Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134Reputation: 1134
have you removed all .la files?
if you have, you just need to rebuilt all third party packages and you should be fine
 
2 members found this post helpful.
Old 07-21-2018, 12:18 AM   #1334
orbea
Senior Member
 
Registered: Feb 2015
Distribution: Slackware64-current
Posts: 1,474

Rep: Reputation: Disabled
Quote:
Originally Posted by willysr View Post
have you removed all .la files?
I know you know this, but in case someone else doesn't I want to point out that its not all .la files, rather its all .la files in the LD_LIBRARY_PATH (/usr/lib{,64}). Other .la files can be left alone and while its usually safe to remove them too, some programs will entirely break when they are missing. Imagemagick is one example.
 
1 members found this post helpful.
Old 07-21-2018, 02:02 AM   #1335
Lockywolf
Member
 
Registered: Jul 2007
Posts: 143

Rep: Reputation: 31
Docker won't build:

Quote:
docker-ce-18.03.1-ce/components/packaging/static/hash_files
# WARNING! I don't seem to be running in a Docker container.
# The result of this command might be an incorrect build, and will not be
# officially supported.
#
# Try this instead: make all
#

Removing bundles/

---> Making bundle: dynbinary (in bundles/dynbinary)
Building: bundles/dynbinary-daemon/dockerd-18.03.1-ce
../../build/src/github.com/docker/docker/vendor/github.com/containerd/containerd/plugin/plugin_go18.go:8:2: cannot find package "plugin" in any of:
/tmp/SBo/docker-ce-18.03.1-ce/build/src/github.com/docker/docker/vendor/plugin (vendor tree)
/usr/src/plugin (from $GOROOT)
/tmp/SBo/docker-ce-18.03.1-ce/build/src/plugin (from $GOPATH)

docker:
Would you like to continue processing the rest of the
queue or would you like to abort? If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 06:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 02:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 02:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 08:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:27 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration